Bug 1695030 (CVE-2019-0196) - CVE-2019-0196 httpd: mod_http2: read-after-free on a string compare
Summary: CVE-2019-0196 httpd: mod_http2: read-after-free on a string compare
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0196
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1696092 1696093 1696094
Blocks: 1694984
TreeView+ depends on / blocked
 
Reported: 2019-04-02 10:51 UTC by Dhananjay Arunesh
Modified: 2020-11-04 03:34 UTC (History)
29 users (show)

Fixed In Version: httpd 2.4.39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-20 18:51:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3932 None None None 2019-11-20 16:21:16 UTC
Red Hat Product Errata RHSA-2019:3933 None None None 2019-11-20 16:13:44 UTC
Red Hat Product Errata RHSA-2019:3935 None None None 2019-11-20 16:08:39 UTC
Red Hat Product Errata RHSA-2020:2644 None None None 2020-06-22 12:26:24 UTC
Red Hat Product Errata RHSA-2020:2646 None None None 2020-06-22 13:08:39 UTC
Red Hat Product Errata RHSA-2020:4751 None None None 2020-11-04 03:34:53 UTC

Description Dhananjay Arunesh 2019-04-02 10:51:49 UTC
Using fuzzed network input, the http/2 request handling could be made to access freed memory in string comparision when determining the method of a request and thus process the request incorrectly.

Comment 2 Dhananjay Arunesh 2019-04-02 11:32:43 UTC
Created httpd tracking bugs for this issue:

Affects: fedora-all [bug 1695046]

Comment 3 Joe Orton 2019-04-03 11:58:06 UTC
According to information from upstream, this mod_http2 issue was addressed in:

http://svn.apache.org/viewvc?view=revision&revision=1852989

This corresponds to commit:

https://github.com/icing/mod_h2/commit/576ed4866e88dfca432b2b92576a7590d6118a79

This commit is not present in a mod_http2 github release at time of writing (it was added after 1.14.1) so is not currently fixed in the Fedora mod_http2 packages.

Comment 4 Huzaifa S. Sidhpurwala 2019-04-04 07:13:38 UTC
Created mod_http2 tracking bugs for this issue:

Affects: fedora-all [bug 1696092]

Comment 8 errata-xmlrpc 2019-11-20 16:08:37 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2019:3935 https://access.redhat.com/errata/RHSA-2019:3935

Comment 9 errata-xmlrpc 2019-11-20 16:13:38 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2019:3933 https://access.redhat.com/errata/RHSA-2019:3933

Comment 10 errata-xmlrpc 2019-11-20 16:21:09 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2019:3932 https://access.redhat.com/errata/RHSA-2019:3932

Comment 11 Product Security DevOps Team 2019-11-20 18:51:19 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2019-0196

Comment 12 errata-xmlrpc 2020-06-22 12:26:19 UTC
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6
  JBoss Core Services on RHEL 7

Via RHSA-2020:2644 https://access.redhat.com/errata/RHSA-2020:2644

Comment 13 errata-xmlrpc 2020-06-22 13:08:36 UTC
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2020:2646 https://access.redhat.com/errata/RHSA-2020:2646

Comment 14 errata-xmlrpc 2020-11-04 03:35:08 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4751 https://access.redhat.com/errata/RHSA-2020:4751


Note You need to log in before you can comment on or make changes to this bug.